USE [TesteXafari]
GO

DECLARE @OID int
DECLARE @AssemblyName nvarchar(100) 
SELECT @OID = [OID] FROM [XPObjectType] WHERE [TypeName] LIKE '%Usuario%'
SELECT @AssemblyName = [AssemblyName] FROM [XPObjectType] WHERE [TypeName] LIKE '%Usuario%'

UPDATE [dbo].[XPObjectType]
set [TypeName] = 'DevExpress.ExpressApp.DC.GeneratedClasses.IDCSecuritySystemUser'
WHERE [OID] = @OID

GO

DECLARE @AssemblyName nvarchar(100) 
SELECT @AssemblyName = [AssemblyName] FROM [XPObjectType] WHERE [TypeName] LIKE '%IDCSecuritySystemUser%'
INSERT INTO [XPObjectType]
VALUES ('DevExpress.ExpressApp.DC.GeneratedClasses._IDCSecuritySystemUser', @AssemblyName)
GO

DECLARE @OID int
SELECT @OID = [OID] FROM [dbo].[XPObjectType] WHERE [TypeName] LIKE '%DevExpress.ExpressApp.DC.GeneratedClasses._IDCSecuritySystemUser%'
UPDATE [dbo].[IDCSecuritySystemUser]
   SET [ObjectType] = @OID
GO

ALTER TABLE [dbo].[IDCSecuritySystemUser] ADD [Departamento] nvarchar(100) NULL
GO

UPDATE [dbo].[IDCSecuritySystemUser]
SET
    [dbo].[IDCSecuritySystemUser].[Departamento] = [dbo].[Usuario].[Departamento]
FROM
    [IDCSecuritySystemUser]
INNER JOIN
    [Usuario] ON ( [IDCSecuritySystemUser].[Oid] = [Usuario].[Oid])
GO
